org.apache.ignite.internal.sql.command

## Class SqlQualifiedName

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlQualifiedName

    public class SqlQualifiedName
    extends Object

SQL qualified name.

### Constructor Summary

Constructors
Constructor and Description
`SqlQualifiedName()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `name()`
`SqlQualifiedName` `name(String name)`
`String` `schemaName()`
`SqlQualifiedName` `schemaName(String schemaName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SqlQualifiedName

    public SqlQualifiedName()

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### schemaName

    public SqlQualifiedName schemaName(String schemaName)

Parameters:
  `schemaName` - Schema name.
Returns:
  This instance.

#### name

    public String name()

Returns:
  Object name.

#### name

    public SqlQualifiedName name(String name)

Parameters:
  `name` - Object name.
Returns:
  This instance.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018